Package in.cdac.medinfo.csnotk.csnolib.model

## Class Description

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.model.VersionedComponent
  - - in.cdac.medinfo.csnotk.csnolib.model.Component
    - - in.cdac.medinfo.csnotk.csnolib.model.Description

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `CompositeDescription`

      public class Description
      extends Component
      implements java.io.Serializable

  Description is a human readable text of a concept.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `FSN_TYPE` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.Byte` | `getActiveStatus()` | Returns the status of the Description(active or inactive).
    `java.lang.String` | `getCaseSId()` | Returns the Id that represents the case significance of the Description text.
    `java.lang.String` | `getConceptId()` | Returns the Concept Id.
    `java.lang.String` | `getId()` | Returns the Description Id.
    `java.lang.String` | `getLangCode()` | Returns the languageCode.languageCode that specifies the language for the description text.
    `java.lang.String` | `getModuleId()` | Returns the module Id for the Description.
    `java.lang.String` | `getTerm()` | Returns the term corresponding to the Description.
    `java.util.Date` | `getTime()` | Returns the effective time for the Description.
    `java.lang.String` | `getType()` | Returns Description type.
    `int` | `hashCode()` |
    `void` | `setActiveStatus​(java.lang.Byte status)` | Sets the status of the Description(active or inactive).
    `void` | `setCaseSId​(EnumCaseSignificance caseSId)` | Sets the caseSignificanceId of the description.
    `void` | `setConceptId​(java.lang.String conceptId)` | Sets the Concept Id attribute of the description.
    `void` | `setId​(java.lang.String id)` | sets SNOMED CT identifier of the description.
    `void` | `setLangCode​(java.lang.String langCode)` | Sets the language Code for the Description.
    `void` | `setModuleId​(java.lang.String modId)` | Sets the module Id for the Description.
    `void` | `setTerm​(java.lang.String term)` | Sets the term for the Description.
    `void` | `setTime​(java.util.Date date)` | Sets the effective time for the Description.
    `void` | `setType​(EnumDescType type)` | Sets the typeId associated with the Description.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FSN_TYPE

          public static final java.lang.String FSN_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Returns the Description Id.
      Overrides:
        `getId` in class `Component`
      Returns:
        SNOMED CT identifier of the description.

    - #### setId

          public void setId​(java.lang.String id)

      sets SNOMED CT identifier of the description.
      Overrides:
        `setId` in class `Component`
      Parameters:
        `id` - represents Description id.

    - #### getActiveStatus

          public java.lang.Byte getActiveStatus()

      Returns the status of the Description(active or inactive).
      Overrides:
        `getActiveStatus` in class `VersionedComponent`
      Returns:
        activeStatus of a component

    - #### setActiveStatus

          public void setActiveStatus​(java.lang.Byte status)

      Sets the status of the Description(active or inactive).
      Overrides:
        `setActiveStatus` in class `VersionedComponent`
      Parameters:
        `status` - represents active Status of the component

    - #### getModuleId

          public java.lang.String getModuleId()

      Returns the module Id for the Description.
      Overrides:
        `getModuleId` in class `VersionedComponent`
      Returns:
        module Id of a component

    - #### setModuleId

          public void setModuleId​(java.lang.String modId)

      Sets the module Id for the Description.
      Overrides:
        `setModuleId` in class `VersionedComponent`
      Parameters:
        `modId` - represents module Id of a component

    - #### getTime

          public java.util.Date getTime()

      Returns the effective time for the Description.
      Overrides:
        `getTime` in class `VersionedComponent`
      Returns:
        effective time of that component

    - #### setTime

          public void setTime​(java.util.Date date)

      Sets the effective time for the Description.
      Overrides:
        `setTime` in class `VersionedComponent`
      Parameters:
        `date` - - represents effective time

    - #### getLangCode

          public java.lang.String getLangCode()

      Returns the languageCode.languageCode that specifies the language for the description text.

    - #### setLangCode

          public void setLangCode​(java.lang.String langCode)

      Sets the language Code for the Description.

    - #### getCaseSId

          public java.lang.String getCaseSId()

      Returns the Id that represents the case significance of the Description text.
      Returns:
        caseSignificanceId

    - #### setCaseSId

          public void setCaseSId​(EnumCaseSignificance caseSId)

      Sets the caseSignificanceId of the description.
      Parameters:
        `caseSId` - caseSignificance Id that defines the case sensitiveness of the Description text.

    - #### getConceptId

          public java.lang.String getConceptId()

      Returns the Concept Id.
      Returns:
        the identifier of the associated `Concept` described.

    - #### setConceptId

          public void setConceptId​(java.lang.String conceptId)

      Sets the Concept Id attribute of the description.

    - #### getTerm

          public java.lang.String getTerm()

      Returns the term corresponding to the Description.
      Returns:
        the textual description of the associated `Concept`.

    - #### setTerm

          public void setTerm​(java.lang.String term)

      Sets the term for the Description.
      Parameters:
        `term` - The description text for a particular Description.

    - #### getType

          public java.lang.String getType()

      Returns Description type.
      Returns:
        the type of the description i.e. if the description is either an FSN or a synonym.

    - #### setType

          public void setType​(EnumDescType type)

      Sets the typeId associated with the Description.
      Parameters:
        `type` - the type of the Description. It can be FSN or Synonym.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`